Board index » cppbuilder » BCB 1.0 and BCB 3.0

BCB 1.0 and BCB 3.0

I have a BCB [v1.0] project which I have been told to not port to
version three because we do not want to loose anytime doing so.  I have
another project that I am working with someone else on that they are
doing using BCB 3.0.

I need to be able to use BCB version one and BCB version three on the
same machine...  I have a terrible problems doing this type of thing
with other programs so I am wondering if anyone has tried to do this
with BCB?  What worked or did not work for you?

Thanks,
Brian Alexander

BTW: Please resond via email.  Thanks again.
balexan...@rrinc.com

 

Re:BCB 1.0 and BCB 3.0


Quote
Brian Alexander wrote in message <35586B0D.82D7F...@rrinc.com>...

>I need to be able to use BCB version one and BCB version three on the
>same machine...  I have a terrible problems doing this type of thing
>with other programs so I am wondering if anyone has tried to do this
>with BCB?  What worked or did not work for you?

The two play well together. Boain (I know that I'm not spelling that right)
and a couple of others have posted a set of ifdefs that you can use to work
around the differences.

So far the only thing that I've noticed is the packages. I don't write
components so that hasn't been a problem.

I have heard a LOT of complaints about ActiveX, though.

Quote
>BTW: Please resond via email.  Thanks again.

No want to do, forum guidelines suggest _sharing_ knowledge.

Re:BCB 1.0 and BCB 3.0


Quote
Michael Henderson wrote in message <6j9v27$al...@forums.borland.com>...
>The two play well together. Boain (I know that I'm not spelling that right)
>and a couple of others have posted a set of ifdefs that you can use to work
>around the differences.

I run BC++ 5.02, BCB1, and BCB3 all on the same PC with no problems.

The ifdefs Michael is referring to are for creating components compatible
with both versions of BCB -- they aren't *required* to run the two version
on the same PC.

Other Threads